> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count transactions matching filter



## OpenAPI

````yaml /openapi/transactions.json post /transactions/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/count:
    post:
      tags:
        - Transactions
      summary: Count transactions matching filter
      operationId: transactions.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    status:
                      anyOf:
                        - enum:
                            - not_applicable
                            - pending
                            - completed
                            - failed
                            - cancelled
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - not_applicable
                                - pending
                                - completed
                                - failed
                                - cancelled
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - not_applicable
                                  - pending
                                  - completed
                                  - failed
                                  - cancelled
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - not_applicable
                                  - pending
                                  - completed
                                  - failed
                                  - cancelled
                                type: string
                      description: Status
                    amount:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Amount
                    currency:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Currency
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    timestamp:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Timestamp
                    relatedClientIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Related Client IDs
                    isAlerted:
                      type: boolean
                      description: Is Alerted
                    alertedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Alerted At
                    riskAssessment:
                      type: object
                      properties:
                        name:
                          type: string
                        eq:
                          type: number
                        gt:
                          type: number
                        gte:
                          type: number
                        lt:
                          type: number
                        lte:
                          type: number
                        levelIn:
                          type: array
                          items:
                            type: string
                            minLength: 1
                        levelNin:
                          type: array
                          items:
                            type: string
                            minLength: 1
                      description: Risk Assessment
                    checklist:
                      enum:
                        - complete
                        - incomplete
                      type: string
                      description: Checklist
                    role:
                      anyOf:
                        - enum:
                            - base
                            - counterparty
                            - guarantor
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - counterparty
                                - guarantor
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - counterparty
                                  - guarantor
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - counterparty
                                  - guarantor
                                type: string
                      description: Role
                    scopes:
                      anyOf:
                        - enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                      description: Scopes
                    productId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Product ID
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            actividadVulnerable:
                              type: object
                              properties:
                                ARI:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - '1501'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1501'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1501'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1501'
                                                type: string
                                      description: Operation Type
                                    propertyType:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '17'
                                                - '18'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                      description: Property Type
                                    leaseStartDate:
                                      anyOf:
                                        - type: string
                                          format: date
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                              format: date
                                            gt:
                                              type: string
                                              format: date
                                            gte:
                                              type: string
                                              format: date
                                            lt:
                                              type: string
                                              format: date
                                            lte:
                                              type: string
                                              format: date
                                      description: Lease Start Date
                                    leaseEndDate:
                                      anyOf:
                                        - type: string
                                          format: date
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                              format: date
                                            gt:
                                              type: string
                                              format: date
                                            gte:
                                              type: string
                                              format: date
                                            lt:
                                              type: string
                                              format: date
                                            lte:
                                              type: string
                                              format: date
                                      description: Lease End Date
                                    paymentForm:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                      description: Payment Form
                                    monetaryInstrument:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                      description: Monetary Instrument
                                AVI:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - sell
                                            - buy
                                            - exchange
                                            - transfer
                                            - deposit
                                            - withdrawal
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - sell
                                                - buy
                                                - exchange
                                                - transfer
                                                - deposit
                                                - withdrawal
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - sell
                                                  - buy
                                                  - exchange
                                                  - transfer
                                                  - deposit
                                                  - withdrawal
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - sell
                                                  - buy
                                                  - exchange
                                                  - transfer
                                                  - deposit
                                                  - withdrawal
                                                type: string
                                      description: Operation Type
                                    hash:
                                      anyOf:
                                        - type: string
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                            contains:
                                              type: string
                                            startsWith:
                                              type: string
                                            endsWith:
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                type: string
                                      description: Hash
                                    cryptoCurrency:
                                      anyOf:
                                        - type: string
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                type: string
                                      description: Crypto Currency
                                    cryptoAmount:
                                      anyOf:
                                        - type: number
                                        - type: object
                                          properties:
                                            eq:
                                              type: number
                                            gt:
                                              type: number
                                            gte:
                                              type: number
                                            lt:
                                              type: number
                                            lte:
                                              type: number
                                            in:
                                              type: array
                                              items:
                                                type: number
                                            nin:
                                              type: array
                                              items:
                                                type: number
                                      description: Crypto Amount
                                    monetaryInstrument:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '99'
                                                type: string
                                      description: Monetary Instrument
                                INM:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - '501'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '501'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '501'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '501'
                                                type: string
                                      description: Operation Type
                                    propertyType:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '17'
                                                - '18'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                      description: Property Type
                                    figuraCliente:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                type: string
                                      description: Figura Cliente
                                    figuraSO:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                      description: Figura SO
                                    contractType:
                                      anyOf:
                                        - type: string
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                            contains:
                                              type: string
                                            startsWith:
                                              type: string
                                            endsWith:
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                type: string
                                      description: Contract Type
                                    paymentForm:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                      description: Payment Form
                                    monetaryInstrument:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                      description: Monetary Instrument
                                JYS:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '101'
                                                - '102'
                                                - '103'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '101'
                                                  - '102'
                                                  - '103'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '101'
                                                  - '102'
                                                  - '103'
                                                type: string
                                      description: Operation Type
                                    businessLine:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                type: string
                                      description: Business Line
                                    operationMethod:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                      description: Operation Method
                                    settlementType:
                                      anyOf:
                                        - enum:
                                            - cash
                                            - in-kind
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - cash
                                                - in-kind
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - cash
                                                  - in-kind
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - cash
                                                  - in-kind
                                                type: string
                                      description: Settlement Type
                                    assetType:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '99'
                                                type: string
                                      description: Asset Type
                                    realEstateType:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '17'
                                                - '18'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                      description: Real Estate Type
                                    monetaryInstrument:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                type: string
                                      description: Monetary Instrument
                                MJR:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - '601'
                                            - '602'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '601'
                                                - '602'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '601'
                                                  - '602'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '601'
                                                  - '602'
                                                type: string
                                      description: Operation Type
                                    operationPostalCode:
                                      anyOf:
                                        - type: string
                                        - type: object
                                          properties:
                                            eq:
                                              type: string
                                            contains:
                                              type: string
                                            startsWith:
                                              type: string
                                            endsWith:
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                type: string
                                      description: Operation Postal Code
                                    goodType:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                type: string
                                      description: Good Type
                                    unit:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                      description: Unit
                                    paymentForm:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                      description: Payment Form
                                    monetaryInstrument:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '99'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                                - '4'
                                                - '5'
                                                - '6'
                                                - '7'
                                                - '8'
                                                - '9'
                                                - '10'
                                                - '11'
                                                - '12'
                                                - '13'
                                                - '14'
                                                - '15'
                                                - '16'
                                                - '99'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '99'
                                                type: string
                                      description: Monetary Instrument
                                MPC:
                                  type: object
                                  properties:
                                    operationType:
                                      anyOf:
                                        - enum:
                                            - '401'
                                            - '402'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
[...]
